#if defined(__linux__)
#if defined(__sparc__)

	.section .text

	.globl	.urem
	.type	.urem, @function
.urem:
	save	%sp, -96, %sp
	mov	%i0, %o0
	call	__umodsi3
	mov	%i1, %o1
	ret
	restore	%o0, 1, %o0

	.globl	.udiv
	.type	.udiv, @function
.udiv:
	save	%sp, -96, %sp
	mov	%i0, %o0
	call	__udivsi3
	mov	%i1, %o1
	ret
	restore	%o0, 1, %o0

	.globl	.umul
	.type	.umul, @function
.umul:
	save	%sp, -96, %sp
	mov	%i0, %o0
	call	__umulsi3
	mov	%i1, %o1
	ret
	restore	%o0, 1, %o0

#endif
#endif
